unit GrObj;

interface
type
 TPoint = record
  x,y:integer;
 end;

 TCircle = record
  center:TPoint;
  r:integer;
 end;

 TRectangle = record
  corner:TPoint;
  dx,dy:integer;
 end;

 procedure init(var point:TPoint; x, y:integer);overload;
 procedure init(var circle:TCircle; x, y, r:integer);overload;
 procedure init(var rect:TRectangle; x, y, dx, dy:integer);overload;

 procedure show(point:TPoint);overload;
 procedure show(circle:TCircle);overload;
 procedure show(rect:TRectangle);overload;

 procedure hide(point:TPoint);overload;
 procedure hide(circle:TCircle);overload;
 procedure hide(rect:TRectangle);overload;

implementation

 procedure init(var point:TPoint; x, y:integer);
 begin
  point.x := x;
  point.y := y;
 end;

 procedure init(var circle:TCircle; x, y, r:integer);
 begin
  init(circle.center,x,y);
  circle.r := r;
 end;

 procedure init(var rect:TRectangle; x, y, dx, dy:integer);
 begin
  init(rect.corner,x,y);
  rect.dx := dx;
  rect.dy := dy;
 end;

 procedure show(point:TPoint);
 begin
  write('[',point.x,', ',point.y,']');
 end;

 procedure show(circle:TCircle);
 begin
  write('kruznice se stredem ');
  show(circle.center);
  write(' a polomerem ',circle.r);
 end;

 procedure show(rect:TRectangle);
 begin
  write('obdelnik s levym hornim rohem ');
  show(rect.corner);
  write(' a delkami stran ',rect.dx,' a ', rect.dy);
 end;

 procedure hide(point:TPoint);
 begin
  write('Skryvam ');
  show(point);
 end;

 procedure hide(circle:TCircle);
 begin
  write('Skryvam ');
  show(circle);
 end;

 procedure hide(rect:TRectangle);
 begin
  write('Skryvam ');
  show(rect);
 end;


end.
