unit GraphObjects;

interface

type
 TPoint = record
  x,y:integer;
 end;

 TCircle = record
  stred:TPoint;
  r:integer;
 end;

 TRectangle = record
  roh:TPoint;
  dx,dy:integer;
 end;

 procedure init(var bod:TPoint;x,y:integer);overload;
 procedure init(var kruznice:TCircle;x,y,r:integer);overload;
 procedure init(var obdelnik:TRectangle;x,y,dx,dy:integer);overload;

 procedure show(var bod:TPoint);overload;
 procedure show(var kruznice:TCircle);overload;
 procedure show(var obdelnik:TRectangle);overload;

 procedure hide(var bod:TPoint);overload;
 procedure hide(var kruznice:TCircle);overload;
 procedure hide(var Obdelnik:TRectangle);overload;

implementation

 procedure init(var bod:TPoint;x,y:integer);
 begin
  bod.x:=x;
  bod.y:=y;
 end;

 procedure init(var kruznice:TCircle;x,y,r:integer);
 begin
  init(kruznice.stred,x,y);
  kruznice.r := r;
 end;

 procedure init(var obdelnik:TRectangle;x,y,dx,dy:integer);
 begin
  init(obdelnik.roh,x,y);
  obdelnik.dx := dx;
  obdelnik.dy := dy;
 end;

 procedure show(var bod:TPoint);
 begin
  write('[',bod.x,', ',bod.y,']');
 end;

 procedure show(var kruznice:TCircle);
 begin
  write('kruznice se stredem ');
  show(kruznice.stred);
  write(' a polomerem ',kruznice.r);
 end;

 procedure show(var obdelnik:TRectangle);
 begin
  write('obdelnik s levym hornim rohem ');
  show(obdelnik.roh);
  write(' a delkami stran ', obdelnik.dx,' a ', obdelnik.dy);
 end;

 procedure hide(var bod:TPoint);
 begin
  write('Skryvam ');
  show(bod);
 end;

 procedure hide(var kruznice:TCircle);
 begin
  write('Skryvam ');
  show(kruznice);
 end;

 procedure hide(var obdelnik:TRectangle);
 begin
  write('Skryvam ');
  show(obdelnik);
 end;
end.
